#ifndef BYTE_H
#define BYTE_H

/**
  * @file byte.h	
  * @authors djb, feh, jmh
  * @ref s/qmail
  */

extern unsigned int byte_chr(char *, unsigned int, int);
extern unsigned int byte_rchr(char *, unsigned int, int);
extern void byte_copy(void *, unsigned int, const void *);
extern void byte_copyr(void *, unsigned int, const void *);
extern int byte_diff(const void *, unsigned int, const void *);
extern void byte_zero(void *, unsigned int);
extern void byte_fill(void *, unsigned int, int);

#define byte_equal(s,n,t) (!byte_diff((s),(n),(t)))

#endif
